Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

app_type
enum<string>

Filter apps by the type of end-user they are built for, such as consumer or business.

Available options:
b2b_app,
b2c_app,
company_app,
component,
website
company_id
string

Filter apps to only those created by this company, starting with 'biz_'.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string>

The sort direction for results. Accepted values: asc, desc.

Available options:
asc,
desc
order
enum<string>

The field to sort apps by. Defaults to discoverable_at descending, showing the most recently published apps first.

Available options:
created_at,
discoverable_at,
total_installs_last_30_days,
total_installs_last_7_days,
time_spent,
time_spent_last_24_hours,
daily_active_users,
ai_prompt_count,
total_ai_cost_usd,
total_ai_tokens,
last_ai_prompt_at,
ai_average_rating
query
string

A search string to filter apps by name, such as 'chat' or 'analytics'.

verified_apps_only
boolean

Whether to only return apps that have been verified by Whop. Useful for populating a featured apps section.

view_type
enum<string>

Filter apps to only those supporting a specific view type, such as 'dashboard' or 'hub'.

Available options:
hub,
discover,
dash,
dashboard,
analytics,
skills,
openapi
after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

Response

A successful response

The connection type for PublicApp.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.